<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/dist/output.css" />
    <title>Document</title>
  </head>
  <body>
    <div
      class="w-full h-screen flex flex-col justify-center items-center gap-10"
    >
      <h1 class="text-[50px]">Digital Clock - Moment Js</h1>
      <div
        id="clock"
        class="text-[50px] bg-black text-yellow-300 p-10 rounded-3xl"
      >
        8:23
      </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.29.4/moment.min.js"></script>

    <script>
      const clock = document.getElementById("clock");

      setInterval(() => {
        let now = moment();
        let read = now.format("LTS");

        clock.textContent = read;
      }, 1000);
    </script>
  </body>
</html>
